## ros-noetic-rc-reason-msgs 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(rc_reason_msgs)
include(cmake/project_version.cmake)

# - Configuration for code optimization -

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

# - Standard definitions -

set(CMAKE_CXX_STANDARD 11)
add_definitions(-Wall)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  message_generation std_msgs geometry_msgs shape_msgs rc_common_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  Box.msg
  CellFillingLevel.msg
  CollisionDetection.msg
  Compartment.msg
  DetectedTag.msg
  Grasp.msg
  GridSize.msg
  Item.msg
  ItemModel.msg
  LoadCarrierModel.msg
  LoadCarrier.msg
  LoadCarrierWithFillingLevel.msg
  Match.msg
  RangeBox.msg
  RangeRectangle.msg
  RangeValue.msg
  Rectangle.msg
  RegionOfInterest2D.msg
  RegionOfInterest3D.msg
  SilhouetteMatchObject.msg
  SuctionGrasp.msg
  Tag.msg
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  CadMatchDetectObject.srv
  CalibrateBasePlane.srv
  ComputeGrasps.srv
  DeleteBasePlaneCalibration.srv
  DeleteLoadCarriers.srv
  DeleteRegionsOfInterest2D.srv
  DeleteRegionsOfInterest3D.srv
  DetectFillingLevel.srv
  DetectItems.srv
  DetectLoadCarriers.srv
  DetectTags.srv
  GetBasePlaneCalibration.srv
  GetLoadCarriers.srv
  GetRegionsOfInterest2D.srv
  GetRegionsOfInterest3D.srv
  HandEyeCalibration.srv
  HandEyeCalibrationTrigger.srv
  SetHandEyeCalibration.srv
  SetHandEyeCalibrationPose.srv
  SetLoadCarrier.srv
  SetRegionOfInterest2D.srv
  SetRegionOfInterest3D.srv
  SilhouetteMatchDetectObject.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
  shape_msgs
  rc_common_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rc_msgs
  CATKIN_DEPENDS std_msgs geometry_msgs shape_msgs rc_common_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

######################################
## Define information for packaging ##
######################################
# optionally specify dependencies of the debian package here (comma separated!)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "ros-$ENV{ROS_DISTRO}-std-msgs, ros-$ENV{ROS_DISTRO}-geometry-msgs, ros-$ENV{ROS_DISTRO}-shape-msgs, ros-$ENV{ROS_DISTRO}-rc-common-msgs")
include(cmake/package_debian.cmake)

=== debian/changelog ===
ros-noetic-rc-reason-msgs (0.3.0-1buster) buster; urgency=high

  * refactor and update for v22.01

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-noetic-rc-reason-msgs (0.2.1-1buster) buster; urgency=high

  * add missing build dependencies to package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-noetic-rc-reason-msgs (0.2.0-1buster) buster; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 10 Jun 2021 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rc-reason-msgs
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-rc-common-msgs, ros-noetic-shape-msgs, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rc-reason-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-rc-common-msgs, ros-noetic-shape-msgs, ros-noetic-std-msgs
Description: Msg and srv definitions for rc_reason_clients

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rc-reason-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rc-reason-msgs 0.3.1

=== debian/changelog ===
ros-noetic-rc-reason-msgs (0.3.1-1focal) focal; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 14 Jun 2023 22:00:00 -0000

ros-noetic-rc-reason-msgs (0.3.0-1focal) focal; urgency=high

  * refactor and update for v22.01

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-noetic-rc-reason-msgs (0.2.1-1focal) focal; urgency=high

  * add missing build dependencies to package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-noetic-rc-reason-msgs (0.2.0-1focal) focal; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 10 Jun 2021 22:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
